﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Samples.ServiceHosting.StorageClient;

namespace HelloWorld.Business
{
    public class PersonRow : Benday.Azure.Common.AzureTableStorageEntity
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string EmailAddress { get; set; }
    }

    public class PersonFacade : Benday.Azure.Common.AzureStorageTable<PersonRow>
    {        
        public PersonFacade()
        {
            
        }

        public override string GetTableNameForType(Type getNameForThisType)
        {
            return "Person";
        }
    }

    public class DataContextForTableGenerationSupportOnly :
        Microsoft.Samples.ServiceHosting.StorageClient.TableStorageDataServiceContext
    {

        public DataContextForTableGenerationSupportOnly()
        {

        }

        public virtual IQueryable<PersonRow> Person
        {
            get
            {
                throw new NotImplementedException(
                    "This property is only defined to satisfy table generation support.");
            }
        }

        public static void CreateTables()
        {
            TableStorage.CreateTablesFromModel(typeof(DataContextForTableGenerationSupportOnly));
        }
    }
}
